Bug 114886 - kinput2 100% CPU, kill -9,
kinput2 100% CPU, kill -9,
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Canna (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-03 19:21 EST by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-12 20:59:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-02-03 19:21:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
kinput2 can get stuck in a loop using 100% CPU, and you need kill -9
SIGKILL to kill it.  It prints "Warning: Select failed; error code 9"
to the terminal during this loop.

http://togami.com/~warren/archive/2004/kinput.strace.txt
strace from execve to 100% loop

This procedure below can reproduce it 100% when used from an english
US GNOME session.

[warren@ibmlaptop bin]$ set |grep LANG
LANG=en_US.UTF-8

[warren@ibmlaptop bin]$ cat ja
#!/bin/bash
kinput2 -canna &
LANG=ja_JP.UTF-8 XMODIFIERS="@im=kinput2" $@

### You can get strace output by doing this instead 
[warren@ibmlaptop bin]$ cat ja-strace
#!/bin/bash
strace -o ~/strace/kinput kinput2 -canna &
LANG=ja_JP.UTF-8 XMODIFIERS="@im=kinput2" $@
 
### Sometimes it works...
[warren@ibmlaptop bin]$ ja oowriter
Warning: XimpProtocol: SelectionClear event received
Warning: KinputProtocol: SelectionClear event received
 
(process:5228): GLib-CRITICAL **: file gstrfuncs.c: line 2129
(g_strsplit): assertion `string != NULL' failed
 
(process:5228): GLib-CRITICAL **: file gstrfuncs.c: line 2241
(g_strjoinv): assertion `str_array != NULL' failed
Resetting UI font from 'Sans' to 'Kochi Gothic',  LANG = 'ja-JP'
Resetting UI font from 'Sans' to 'Kochi Gothic',  LANG = 'ja-JP'

### Until you restart the canna service...
[root@ibmlaptop root]# service canna restart
Stopping Canna server:                                     [  OK  ]
Starting Canna server:                                     [  OK  ]

### Then the failure...
[warren@ibmlaptop strace]$ ja oowriter
Warning:
zipcode\uffff\uffff\uffff\u07a5\uffff\uffff\uffff\uffff\u0224\u01e4\uffff\uffff\u07a4\uffff\uffff\uffff\uffff\u01e4\uffff\uffff\uffff
Warning:
keishiki\uffff\uffff\uffff\u07a5\uffff\uffff\uffff\uffff\u0224\u01e4\uffff\uffff\u07a4\uffff\uffff\uffff\uffff\u01e4\uffff\uffff\uffff
Warning:
software\uffff\uffff\uffff\u07a5\uffff\uffff\uffff\uffff\u0224\u01e4\uffff\uffff\u07a4\uffff\uffff\uffff\uffff\u01e4\uffff\uffff\uffff
Warning:
hojoswd\uffff\uffff\uffff\u07a5\uffff\uffff\uffff\uffff\u0224\u01e4\uffff\uffff\u07a4\uffff\uffff\uffff\uffff\u01e4\uffff\uffff\uffff
Warning:
hojomwd\uffff\uffff\uffff\u07a5\uffff\uffff\uffff\uffff\u0224\u01e4\uffff\uffff\u07a4\uffff\uffff\uffff\uffff\u01e4\uffff\uffff\uffff
Warning:
fuzokugo\uffff\uffff\uffff\u07a5\uffff\uffff\uffff\uffff\u0224\u01e4\uffff\uffff\u07a4\uffff\uffff\uffff\uffff\u01e4\uffff\uffff\uffff
Warning:
chimei\uffff\uffff\uffff\u07a5\uffff\uffff\uffff\uffff\u0224\u01e4\uffff\uffff\u07a4\uffff\uffff\uffff\uffff\u01e4\uffff\uffff\uffff
Warning:
gcannaf\uffff\uffff\uffff\u07a5\uffff\uffff\uffff\uffff\u0224\u01e4\uffff\uffff\u07a4\uffff\uffff\uffff\uffff\u01e4\uffff\uffff\uffff
Warning:
gcanna\uffff\uffff\uffff\u07a5\uffff\uffff\uffff\uffff\u0224\u01e4\uffff\uffff\u07a4\uffff\uffff\uffff\uffff\u01e4\uffff\uffff\uffff
 
(process:5456): GLib-CRITICAL **: file gstrfuncs.c: line 2129
(g_strsplit):
assertion `string != NULL' failed
 
(process:5456): GLib-CRITICAL **: file gstrfuncs.c: line 2241
(g_strjoinv):
assertion `str_array != NULL' failed
Warning: Select failed; error code 9
Warning: Select failed; error code 9
Warning: Select failed; error code 9
Warning: Select failed; error code 9
Warning: Select failed; error code 9
Warning: Select failed; error code 9
Warning: Select failed; error code 9
Warning: Select failed; error code 9
(loops forever...)


Version-Release number of selected component (if applicable):
kinput2-canna-wnn6-v3.1-13
Comment 1 Warren Togami 2004-02-03 19:35:11 EST
One more odd thing...
It does not fail and start looping if I launch it manually from the
terminal in that sequence rather than launch it from a shell script. 
Triggering it could be a timing issue too...
Comment 2 Akira TAGOH 2004-02-05 05:28:46 EST
Hmm, even if I tried your step on my test machine, I couldn't
reproduce this problem... so what version of Canna are you using? I
saw similar bug on ia64 and not sure if it's the real fix, but Canna
works again by that fix.
Comment 3 Jens Petersen 2004-02-13 06:23:48 EST
I see pretty much this behaviour every time after a clean ja install
of FC1 Test1/recent trees when running a GNOME session.
Comment 4 Nakai 2004-02-18 01:43:31 EST
I never see this failure on my machine either. FC2 test1 or all earlier.
Works very comfortable here, and no warning.

> Warning: Select failed; error code 9

Network issue? My setting is firewall off in the office.
Comment 5 Nakai 2004-02-18 02:03:23 EST
Yesterday I translated gnumeric ja.po for several hours on my FC2 test1,
gnome-terminal, vi and kinput2. And it didn't reproduce...
Comment 6 Nakai 2004-02-18 02:09:31 EST
I need to add to say this prob. is reported so many times on Fedora JP
list too, but just doesn't happen for me...
Comment 7 Akira TAGOH 2004-02-19 08:31:35 EST
Ok, I can reproduce this problem now. and hopefully this problem would
be fixed in the next release.
Comment 8 Akira TAGOH 2004-02-19 23:21:51 EST
This problem shouldn't appears on 3.7p1-4. please test it.
Comment 9 Jens Petersen 2004-03-29 17:56:05 EST
Thanks, I haven't seen any more hanging of kinput2 recently. :-)

Note You need to log in before you can comment on or make changes to this bug.